You are not logged in.

Database
Site

Bioware Developer Forum Posts

#2 Buying old Sub Companions does not allow you to unlock said Companions

Originally Posted by CommunityTeam ( Original Post ) | 30.04.2021 09:45AM
Hi folks,

We're aware of an issue that players are experiencing with Nico Okarrs Alliance Alert not being granted when using the Encrypted Holocommunicator. To prevent this issue from affecting more players, we have temporarily disabled the purchase of all Companions from the Galactic Seasons vendor Jaleit Nall and we will be removing them from this vendor in our next patch. The Companions will return to the vendor in a future patch during Season 1 once we have resolved the Alert granting issue.

Players who try to purchase Niko Okarr or future Companions Encrypted Lockbox will encounter the following error message:
  • "You do not meet the requirements to purchase this item."
We are currently working on a fix for this, we will update this thread when we have more information.

Thank you for your patience.
About the Author